<?php 
ini_set('max_execution_time', 500);
//CONEXIONES
$conexion1 = mysql_connect('postventa.itodoslossantos.cl', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$conexion2 = mysql_connect('itodoslossantos.cl','ciss_evalle','vain2012')or die(mysql_error());//EXTERNA
$itodos = 'ciss_intranetciss';
$postventa = 'pvitls_postventa';
//BASES DE DATOS
mysql_select_db($postventa,$conexion1)or die(mysql_error());
mysql_select_db($itodos,$conexion2)or die(mysql_error());
$querydepartamento ="SELECT  c.num_casa,null, p.proyecto, pv.id_pro_venta, pv.fec_promesa, pv.fec_escritura, e.etapa, p.proyecto,
					m.manzana, null,  null, t.tip_casa, t.sup_construida,c.sup_terreno, t.num_dormitorios, t.num_banos,
					per.id_persona, per.id_tip_persona, per.tel_fijo,  per.rut, per.direccion,
					per.email, per.fec_registro
					FROM  $itodos.tbl_casaxmanzanaxetapaxproy c
					INNER JOIN $itodos.tbl_manzanaxetapaxproyecto m on m.id_manzana=c.id_manzana
					INNER JOIN  $itodos.tbl_etapaxproyecto e ON e.id_etapa = m.id_etapa
					INNER JOIN  $itodos.tbl_proyecto p ON p.id_proyecto = e.id_proyecto
					INNER JOIN  $itodos.tbl_tipo_casaxproyecto t ON t.id_tip_casa = c.id_tip_casa
					/*VALIDAR ENTREGADOS  */
					INNER JOIN $itodos.tbl_proceso_venta pv ON pv.id_casa = c.id_casa and pv.estado = 5
					INNER JOIN $itodos.tbl_persona per ON per.id_persona = pv.cliente
					WHERE  
					p.id_proyecto In( 40,49,71,53)";

		$resultado = mysql_query($querydepartamento,$conexion2)or die(mysql_error());
		 	if(mysql_num_rows($resultado)> 0){
				 $num = 0;
					while($fila = mysql_fetch_assoc($resultado)){

		   	 	
						$id_proyecto = buscarIDproyecto($fila['proyecto'],$conexion1);
						$proyecto = $fila['proyecto'];
						$id_etapa = buscarIDetapa($fila['etapa'],$id_proyecto,$conexion1);
						$abreviatura = $fila['manzana'];
						$id_diseno = BuscarConfiguracionEtapa($abreviatura,$id_etapa,$conexion1);						
						$numero = $fila['num_casa'];
						$id_propiedad=  buscarIDpropiedad($id_diseno,$numero,$conexion1);
						
						if($id_propiedad !=	 ""){
								//PERSONA
								$rut =$fila['rut'];
								$direccion =$fila['direccion'];
								$tel_fijo =$fila['tel_fijo'];
								$email = $fila['email'];
								$tipopersona = $fila['id_tip_persona'];
								$fec_registro=$fila['fec_registro'];
								$existepersona  = buscarpersona($rut,$conexion1);
								$id_pro_venta =$fila['id_pro_venta'];
								$id_perfil = "7";/*CLIENTE */
								$usuario = "";
								$iniciales = "";

								if($existepersona == "1"){
									//echo "ACTUALIZA"."<br>";
									$id_persona = buscarpersonaID($rut,$conexion1);
									$existepropietario = buscarPropietario($id_persona,$id_pro_venta,$conexion1);
											$queryEliminarAnterior = "DELETE FROM  tblpropietarios WHERE ID_PERSONA ='$id_persona' AND ID_PROPIEDAD = '$id_propiedad'";
											if(mysql_query($queryEliminarAnterior,$conexion1)){

											$querypropiedad = "INSERT INTO tblpropietarios(ID_PERSONA, ID_PROPIEDAD, PRO_VENTA)
																	VALUES ('$id_persona','$id_propiedad','$rut')";
													if(mysql_query($querypropiedad,$conexion1)){
															echo "GUARDADO NUEVA PROPIETAD"."<br>";
													}else{
														echo mysql_error();
													}
											}else{
														echo mysql_error();
											}

									}else{
										$queryINSERTPersona="INSERT INTO tblpersonas( ID_TIPOPERSONA, ID_PERFIL,RUT, DIRECCION, TEL_FIJO, EMAIL, FEC_REGISTRO,USUARIO, INICIALES, ESTADO)
																VALUES ('$tipopersona','$id_perfil','$rut','$direccion','$tel_fijo','$email','$fec_registro','$usuario','$iniciales','0')";
											if(mysql_query($queryINSERTPersona,$conexion1)){
												$ultimo=mysql_insert_id($conexion1);
			
												$queryEliminarAnterior = "DELETE FROM  tblpropietarios WHERE ID_PERSONA ='$ultimo' AND ID_PROPIEDAD = '$id_propiedad'";
														if(mysql_query($queryEliminarAnterior,$conexion1)){
																	$querypropiedad = "INSERT INTO tblpropietarios(ID_PERSONA, ID_PROPIEDAD, PRO_VENTA)
																		VALUES ('$ultimo','$id_propiedad','$rut')";
																		if(mysql_query($querypropiedad,$conexion1)){
																	echo "GUARDADO"."<br>";
																}else{
																	echo mysql_error();
																}
			
														}else{
														echo mysql_error();
			
														}
											
											}else{
												echo mysql_error();
											}
			
									}

						}

					}

				
		     }else{
		     	echo "NO TRAE FILAS";
			}
			
function buscarpersona($rut,$conexion){
	$resultado = mysql_query("SELECT ID_PERSONA, RUT, DIRECCION FROM pvitls_postventa.tblpersonas WHERE RUT  ='$rut'",$conexion); 
 	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{
	 	return "0";
	 }
}


function BuscarConfiguracionEtapa($abreviatura,$id_etapa,$conexion1){
	$resultado = mysql_query("SELECT ce.ID_DISENOETAPA
							FROM  pvitls_postventa.tblconfiguracionetapas ce
							INNER JOIN pvitls_postventa.tbletapas e ON e.id_etapa = ce.id_etapa
							INNER JOIN pvitls_postventa.tblmodelounidadconstrucciones mc ON mc.ID_MODELOUNIDADCONSTRUCCION = ce.ID_MODELOUNIDADCONSTRUCCION
							WHERE    mc.ABREVIATURA ='$abreviatura' and ce.id_etapa ='$id_etapa' ",$conexion1); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
			return $resultado['ID_DISENOETAPA']; 
	}  
	}



function buscarpersonaID($rut,$conexion){
	$resultado = mysql_query("SELECT ID_PERSONA, RUT, DIRECCION FROM pvitls_postventa.tblpersonas WHERE RUT  ='$rut'",$conexion); 
	 	while( $resultado = mysql_fetch_array($resultado) ) { 
   			return $resultado['ID_PERSONA']; 
		} 
}

function buscarPropietario($id_persona,$id_pro_venta,$conexion){
	$resultado = mysql_query("SELECT ID_PROPIETARIO, ID_PERSONA, ID_PROPIEDAD, PRO_VENTA FROM pvitls_postventa.tblpropietarios
									 WHERE  ID_PERSONA = '$id_persona' AND PRO_VENTA = '$id_pro_venta'",$conexion); 
 	 if(mysql_num_rows($resultado)> 0){
	 	return "1";
	 }else{
	 	return "0";
	 }
}

function buscarIDpropiedad($id_disenoetapa,$numero,$conexion){
	$resultado = mysql_query("SELECT p.ID_PROPIEDAD, po.ID_PROYECTO, e.ID_ETAPA, m.ABREVIATURA, NUMERO
					FROM pvitls_postventa.tblpropiedades p
					INNER JOIN pvitls_postventa.tblconfiguracionetapas c ON c.ID_DISENOETAPA = p.ID_DISENOETAPA
					INNER JOIN pvitls_postventa.tblmodelounidadconstrucciones m ON m.ID_MODELOUNIDADCONSTRUCCION = c.ID_MODELOUNIDADCONSTRUCCION
					INNER JOIN pvitls_postventa.tbletapas e ON e.ID_ETAPA = c.ID_ETAPA
					INNER JOIN pvitls_postventa.tblproyectos po ON po.ID_PROYECTO = e.ID_PROYECTO
					WHERE  c.id_disenoetapa = '$id_disenoetapa' AND NUMERO = '$numero'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_PROPIEDAD']; 
	}  
}


function buscarIDproyecto($proyecto,$conexion){
	$resultado = mysql_query("SELECT ID_PROYECTO FROM  pvitls_postventa.tblproyectos WHERE PROYECTO = '$proyecto'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_PROYECTO']; 
	}  
}
//BUSCAMOS EL ID DE LA ETAPA
function buscarIDetapa($etapa,$id_proyecto,$conexion){	
$resultado = mysql_query("SELECT ID_ETAPA FROM  pvitls_postventa.tbletapas WHERE ETAPA = '$etapa' AND ID_PROYECTO = '$id_proyecto'",$conexion); 
	while( $resultado = mysql_fetch_array($resultado) ) { 
   		return $resultado['ID_ETAPA']; 
	}  
 }

?>